HANDLE_FASTEOI_IRQ(9)

NAME
handle_fasteoi_irq - irq handler for transparent controllers

SYNOPSIS

void handle_fasteoi_irq(unsigned int irq, struct irq_desc * desc);

ARGUMENTS

irq
    the interrupt number

desc
    the interrupt description structure for this irq

ONLY A SINGLE CALLBACK WILL BE ISSUED TO THE CHIP

an ->eoi call when the interrupt has been serviced. This enables support for modern forms of interrupt handlers, which handle the flow details in hardware, transparently.

AUTHORS

Thomas Gleixner <tglx@linutronix.de>
    Author.

Ingo Molnar <mingo@elte.hu>
    Author.

COPYRIGHT